import { Row, Col, Card, Statistic, Carousel } from "antd";
import {
  ArrowDownOutlined,
  ArrowUpOutlined,
  LikeOutlined,
} from "@ant-design/icons";
import React, { useState } from "react";
import { getBannerList } from "@/services/rotationChart";

import { useRef } from "react";
import { useEffect } from "react";
import moment from "moment";
import VideoPlay from "./VideoPlay.jsx";
import { floatDivide } from "@/utils";

const contentStyle = {
  height: "760px",
  margin: "0 auto",
  width: "100%",
  // color: "#fff",
  // lineHeight: "160px",
  // textAlign: "center",
  // background: "#364d79",
};

export default (props) => {
  const [autoPlay, setAutoPlay] = useState(true);
  const [current, setCurrent] = useState(0);
  const [mouse, setMouse] = useState(false);
  const [mediaList, setMediaList] = useState([]);

  const ref = useRef();

  const mouseRef = useRef(false);
  const isVideoRef = useRef(false);
  const isVideoPlayRef = useRef(false);
  useEffect(() => {
    getBannerList().then((res) => {
   

      setMediaList(
        res?.records?.map((x) => {
          if (x.type === "2") {
            return {
              ...x,
              type: "video",
              url: x.video,
            };
          } else {
            return {
              ...x,
              type: "image",
              url: x.image,
            };
          }
        })
      );
    });
    handNext();
  }, []);

  const handNext = () => {
    setTimeout(() => {

      if (!mouseRef.current && !isVideoRef.current && !isVideoPlayRef.current) {
        ref.current?.next();
      }
      handNext();
    }, 3000);
  };

  const onMouseEnter = () => {
   
    mouseRef.current = true;
  };
  const onMouseLeave = () => {
    mouseRef.current = false;
  };

  return (
    <>
      <div
        onMouseEnter={onMouseEnter}
        onMouseLeave={onMouseLeave}
        style={{ height: 800 }}
      >
        <Carousel
          ref={ref}
          afterChange={(cur) => {
            setCurrent(cur);
          }}
        >
          {mediaList?.map((x, index) => {
            if (x.type === "image") {
              return (
                <div className="abc" key={index}>
                  <div style={{ overflow: "hidden" }}>
                    <img src={x.url} style={contentStyle}></img>
                  </div>
                </div>
              );
            }
            if (x.type === "video") {

              return (
                <div key={index}>
                  <VideoPlay
                    url={x.url}
                    isVideoPlayRef={isVideoPlayRef}
                    index={index}
                    current={current}
                    contentStyle={contentStyle}
                  ></VideoPlay>
                </div>
              );
            }
          })}
        </Carousel>
      </div>

      {/* <div>

        <video autoPlay src={video2} ></video>
      </div> */}
    </>
  );
};
